Get velocity excel

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /projects/{projectId}/scenarios/{scenarioId}/velocity-xlsx

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • periodMonthDate string
  • ganttStructure string

    Values are WBS, ACTIVITY_CODE, or NONE.

  • filterId array[integer(int64)]
  • sortBy string

    Values are ID, NAME, BASELINESTARTDATE, BASELINEFINISHDATE, BASELINEPERCENTCOMPLETE, BASELINETOTALFLOAT, BASELINEDURATION, CURRENTSTARTDATE, CURRENTFINISHDATE, CURRENTPERCENTCOMPLETE, CURRENTTOTALFLOAT, CURRENTDURATION, VARIANCESTARTDATE, VARIANCEFINISHDATE, VARIANCEPERCENTCOMPLETE, VARIANCETOTALFLOAT, or VARIANCEDURATION.

  • sortDirection string

    Values are ASC or DESC.

  • activityCodeTypes array[integer(int64)]
  • collapsedIds array[string]

Responses

  • 200 application/vnd.ms-excel

    OK

GET /projects/{projectId}/scenarios/{scenarioId}/velocity-xlsx
curl \
 --request GET 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/velocity-xlsx' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"